#pragma once

#include <string>
#include <unordered_map>
#include <optional>

struct LatexMathSymbol
{
	enum class Type
	{
		RAW,
		TAG,
		RELATIONAL,
		RELATIONAL_TAG,
		ENCLOSING,
		ENCLOSING_TAG
	};
	std::string mName;
	std::wstring mUnicode;
};

class LatexSymbolLookup
{
public:
	std::unordered_map<std::string, LatexMathSymbol> mTags;
};